@charset "utf-8";

/* Fond du popup, caché par défaut */
#registerPopup {
  position: fixed; /* IMPORTANT */
  top: 0;
  left: 0;

  width: 100%;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;

  z-index: 9999; /* plus sûr */
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s ease;
}

/* Contenu du popup avec animation zoom */
#registerPopup .popup-content {
  background: #fff;
  padding: 30px;
  border-radius: 12px;
  width: 350px;
  max-width: 90%;
  text-align: center;
  position: relative;

  box-shadow: 0 5px 20px rgba(0,0,0,0.3);

  transform: scale(0.7);
  opacity: 0;
  transition: all 0.4s ease;

  border-bottom: 3px solid #D90408;
  border-top: 3px solid #D90408;
}

/* Animation lorsqu’on ajoute .show */
#registerPopup.show .popup-content {
  transform: scale(1);
  opacity: 1;
}

/* Inputs du formulaire */
#registerPopup input {
  width: 100%;
  padding: 12px;
  margin: 8px 0;
  border-radius: 6px;
  border: 1px solid #ccc;
  box-sizing: border-box;
  font-size: 16px;
}

/* Bouton Register */
#registerPopup button[type="submit"] {
  width: 100%;
  padding: 12px;
  margin-top: 12px;
  background-color: #f0b500; /* jaune */
  color: #fff;
  border: none;
  border-radius: 6px;
  font-size: 16px;
  cursor: pointer;
  transition: background 0.3s;
}

#registerPopup button[type="submit"]:hover {
  background-color: #C49000;
}

/* Bouton fermer (X) */
#registerPopup .close {
  position: absolute;
  top: 12px;
  right: 12px;
  font-size: 24px;
  font-weight: bold;
  cursor: pointer;
  color: #333;
}

#registerPopup.show {
  opacity: 1;
  pointer-events: auto;
}